lookupBlock | Algorand Developer Portal

lookupBlock

GET

/v2/blocks/{round-number}

Lookup block.

Parameters

Path Parameters

round-number
required
integer
Round number

Query Parameters

header-only
boolean
Header only flag. When this is set to true, returned block does not contain the transactions

Responses

200

(object)

bonus
The potential bonus payout for this block.
integer

fees-collected
The sum of all fees paid by transactions in this block.
integer

genesis-hash
required
[gh] hash to which this block belongs.
string format: byte
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

genesis-id
required
[gen] ID to which this block belongs.
string

participation-updates
Participation account data that needs to be checked/acted on by the network.

absent-participation-accounts
[partupabs] a list of online accounts that need to be suspended.
Array

expired-participation-accounts
[partupdrmv] a list of online accounts that needs to be converted to offline since their participation key expired.
Array

previous-block-hash
required
[prev] Previous block hash.
string format: byte
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

previous-block-hash-512
[prev512] Previous block hash, using SHA-512.
string format: byte
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

proposer
The proposer of this block.
string

proposer-payout
The actual amount transferred to the proposer from the fee sink.
integer

rewards
Fields relating to rewards,

fee-sink
required
[fees] accepts transaction fees, it can only spend to the incentive pool.
string

rewards-calculation-round
required
[rwcalr] number of leftover MicroAlgos after the distribution of rewards-rate MicroAlgos for every reward unit in the next round.
integer

rewards-level
required
[earn] How many rewards, in MicroAlgos, have been distributed to each RewardUnit of MicroAlgos since genesis.
integer

rewards-pool
required
[rwd] accepts periodic injections from the fee-sink and continually redistributes them as rewards.
string

rewards-rate
required
[rate] Number of new MicroAlgos added to the participation stake from rewards at the next round.
integer

rewards-residue
required
[frac] Number of leftover MicroAlgos after the distribution of RewardsRate/rewardUnits MicroAlgos for every reward unit in the next round.
integer

round
required
[rnd] Current round on which this block was appended to the chain.
integer

seed
required
[seed] Sortition seed.
string format: byte
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

state-proof-tracking
Tracks the status of state proofs.
Array

next-round
[n] Next round for which we will accept a state proof transaction.
integer

online-total-weight
[t] The total number of microalgos held by the online accounts during the StateProof round.
integer

type
State Proof Type. Note the raw object uses map with this as key.
integer

voters-commitment
[v] Root of a vector commitment containing online accounts that will help sign the proof.
string format: byte
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

timestamp
required
[ts] Block creation timestamp in seconds since eposh
integer

transactions
[txns] list of transactions corresponding to a given round.
Array

application-transaction
Fields for application transactions.

access
[al] Access unifies accounts, foreign-apps, foreign-assets, and box-references under a single list. If access is non-empty, these lists must be empty. If access is empty, those lists may be non-empty.
Array

address
[d] Account whose balance record is accessible by the executing ApprovalProgram or ClearStateProgram.
string

application-id
[p] Application id whose GlobalState may be read by the executing ApprovalProgram or ClearStateProgram.
integer

asset-id
[s] Asset whose AssetParams may be read by the executing ApprovalProgram or ClearStateProgram.
integer

box
BoxReference names a box by its name and the application ID it belongs to.
object

app
required
Application ID to which the box belongs, or zero if referring to the called application.
integer

name
required
Base64 encoded box name
string format: byte
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

holding
HoldingRef names a holding by referring to an Address and Asset it belongs to.
object

address
required
[d] Address in access list, or the sender of the transaction.
string

asset
required
[s] Asset ID for asset in access list.
integer

local
LocalsRef names a local state by referring to an Address and App it belongs to.
object

address
required
[d] Address in access list, or the sender of the transaction.
string

app
required
[p] Application ID for app in access list, or zero if referring to the called application.
integer

accounts
[apat] List of accounts in addition to the sender that may be accessed from the application’s approval-program and clear-state-program.
Array

application-args
[apaa] transaction specific arguments accessed from the application’s approval-program and clear-state-program.
Array

application-id
required
[apid] ID of the application being configured or empty if creating.
integer

approval-program
[apap] Logic executed for every application transaction, except when on-completion is set to “clear”. It can read and write global state for the application, as well as account-specific local state. Approval programs may reject the transaction.
string format: byte
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

box-references
[apbx] the boxes that can be accessed by this transaction (and others in the same group).
Array

app
required
Application ID to which the box belongs, or zero if referring to the called application.
integer

name
required
Base64 encoded box name
string format: byte
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

clear-state-program
[apsu] Logic executed for application transactions with on-completion set to “clear”. It can read and write global state for the application, as well as account-specific local state. Clear state programs cannot reject the transaction.
string format: byte
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

extra-program-pages
[epp] specifies the additional app program len requested in pages.
integer

foreign-apps
[apfa] Lists the applications in addition to the application-id whose global states may be accessed by this application’s approval-program and clear-state-program. The access is read-only.
Array

foreign-assets
[apas] lists the assets whose parameters may be accessed by this application’s ApprovalProgram and ClearStateProgram. The access is read-only.
Array

global-state-schema
Represents a [apls] local-state or [apgs] global-state schema. These schemas determine how much storage may be used in a local-state or global-state for an application. The more space used, the larger minimum balance must be maintained in the account holding the data.
object

num-byte-slice
required
Maximum number of TEAL byte slices that may be stored in the key/value store.
integer

num-uint
required
Maximum number of TEAL uints that may be stored in the key/value store.
integer